Subject: Re: Question regarding protocol specific mtu for FCoE

From: Roland Dreier <[email-masked]>
Date: Wed, 03 Jun 2009 14:21:11 -0700

> So FCoE cannot say "fcoe_mtu = min(OPTIMAL_FCOEMTU,netdev->mtu)" and
 > send-down frames based on that?

I think the point is that FCoE wants to use OPTIMAL_FCOEMTU (2KB + a bit
for headers) even when netdev->mtu is 1500.  (eg datacenter network
supports baby jumbo frames so FCoE traffic that stays within the network
should use OPTIMAL_FCOEMTU, while lots of IP traffic is going out onto a
1500-byte MTU campus and having TCP doing lots of PMTU discovery is a
pain)

 - R.